Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Pod::Text::Termcap

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# Pod::Text::Termcap

- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- SEE ALSO
- AUTHOR
- COPYRIGHT AND LICENSE

# NAME

Pod::Text::Termcap - Convert POD data to ASCII text with format escapes

# SYNOPSIS

        use Pod::Text::Termcap;    my $parser = Pod::Text::Termcap->new (sentence => 0, width => 78);    # Read POD from STDIN and write to STDOUT.    $parser->parse_from_filehandle;    # Read POD from file.pod and write to file.txt.    $parser->parse_from_file ('file.pod', 'file.txt');

# DESCRIPTION

Pod::Text::Termcap is a simple subclass of Pod::Text that highlights output text using the correct termcap escape sequences for the current terminal. Apart from the format codes, it in all ways functions like Pod::Text. See Pod::Text for details and available options.

# NOTES

This module uses Term::Cap to retrieve the formatting escape sequences for the current terminal, and falls back on the ECMA-48 (the same in this regard as ANSI X3.64 and ISO 6429, the escape codes also used by DEC VT100 terminals) if the bold, underline, and reset codes aren't set in the termcap information.

# SEE ALSO

Pod::Text, Pod::Simple, Term::Cap

The current version of this module is always available from its web site at http://www.eyrie.org/~eagle/software/podlators/. It is also part of the Perl core distribution as of 5.6.0.

# AUTHOR

Russ Allbery <rra@stanford.edu>.

# COPYRIGHT AND LICENSE

Copyright 1999, 2001, 2002, 2004, 2006, 2008, 2009 Russ Allbery <rra@stanford.edu>.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- SEE ALSO
- AUTHOR
- COPYRIGHT AND LICENSE